Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82577 - keyboard layout switcher's Grab Hot Key kills Mod keys in X
Summary: keyboard layout switcher's Grab Hot Key kills Mod keys in X
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-01-23 16:23 UTC by Alexandre Oliva
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-09-15 16:50:52 UTC


Attachments (Terms of Use)

Description Alexandre Oliva 2003-01-23 16:23:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030115

Description of problem:
As soon as you enter a Mod key in the keyboard layout switcher's Grab Hotkey,
this Mod key will be dead for the rest of the X session, even if you Grab Hotkey
again and change it to something else.  The key will come back functional in the
next X session, even if it's still the layout switcher hot key.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start the keyboard layout switcher applet
2.Choose Preferences, Options and click on Grab hotkey
3.Press say Alt_L-Shift_R
4.Close the applet window
5.Focus on any other application (say gnome-terminal running bash), enter a word
and then Alt-backspace
6.Log out, and log back in
7.Verify that Alt is functional again, but it still works as the layout switcher
hot key.

Actual Results:  In 5., Alt-backspace.  Depressing Alt actually changes the
cursor from a filled black square to a white square with black borders, so it
does something, just not what it's meant to.  xkbvleds indicate the key is no
longer functional as a Mod key.

Expected Results:  Grab Hotkey shouldn't mess with keys after it's done its thing.

Additional info:

I'm reusing gnome bug http://bugzilla.gnome.org/show_bug.cgi?id=101958 for this.

Comment 1 Alexandre Oliva 2003-09-15 16:50:52 UTC
This is fixed in Severn with all updates.


Note You need to log in before you can comment on or make changes to this bug.